<?php

function addfoot_options() {
	
	global $wpdb;
    $poststable = $wpdb->posts;

	$addfoot_settings = addfoot_read_options();

	if($_POST['addfoot_save']){
		$addfoot_settings[enable_plugin] = (($_POST['enable_plugin']) ? true : false);
		$addfoot_settings[addfoot_other] = ($_POST['addfoot_other']);

		update_option('ald_addfoot_settings', $addfoot_settings);
		
		$str = '<div id="message" class="updated fade"><p>'. __('Options saved successfully.',ADDFOOT_LOCAL_NAME) .'</p></div>';
		echo $str;
	}
	
	if ($_POST['addfoot_default']){
		delete_option('ald_addfoot_settings');
		$addfoot_settings = addfoot_default_options();
		update_option('ald_addfoot_settings', $addfoot_settings);
		
		$str = '<div id="message" class="updated fade"><p>'. __('Options set to Default.',ADDFOOT_LOCAL_NAME) .'</p></div>';
		echo $str;
	}
?>

<div class="wrap">
 	<div id="page-wrap">
	<div id="inside">
    
		<div id="header">
		<img src="http://easychat.me/pl/images/logo.png" alt="EasyChat.me"/>
		</div>
        
	  <div id="side">
      
		<div class="side-widget">
		<span class="title"><?php _e('Quick Help',ADDFOOT_LOCAL_NAME) ?></span>				
		<ul>
			<li><a href="http://easychat.me" target="_blank"><?php _e('EasyChat.me Home Page ') ?></a></li>
			<li><a href="http://easychat.me/en/faq.html"><?php _e('FAQ',ADDFOOT_LOCAL_NAME) ?></a></li>
			<li><a href="http://easychat.me/en/contact.html"><?php _e('Support',ADDFOOT_LOCAL_NAME) ?></a></li>
            <li><a href="http://easychat.me/en/"><?php _e('Register New Account',ADDFOOT_LOCAL_NAME) ?></a></li>
            <li><!-- BEGIN  EasyChat Live Chat Software Embed codes . --><span id="als_btn_1394019273"   onclick="als_launch_chat_0(0)" style="text-decoration: none; cursor: pointer;"></span><script type="text/javascript">(function() { var als_e_1394019273 = document.createElement("script") ; als_e_1394019273.type = "text/javascript" ; als_e_1394019273.async = true ; als_e_1394019273.src = "//help.easychat.me/cdn/livechatv5.js.php?q=0|1394019273|0|Click%20for%20Live%20Support" ; document.getElementById("als_btn_1394019273").appendChild( als_e_1394019273 ) ; })() ;</script><!-- END EasyChat  Live Chat Software Embed codes - Powered by EasyChat . --></li>
		</ul>
		</div>
        
        <iframe src="//www.facebook.com/plugins/like.php?href=https%3A%2F%2Fpl-pl.facebook.com%2FeasychatMe&amp;width&amp;layout=button_count&amp;action=like&amp;show_faces=false&amp;share=false&amp;height=21&amp;appId=223003767715522" scrolling="no" frameborder="0" style="border:none; overflow:hidden; height:21px;" allowTransparency="true"></iframe>
       
      </div>
	  <div id="options-div">
	 <form method="post" id="addfoot_options" name="addfoot_options" style="border: #ccc 1px solid; padding: 10px" onsubmit="return checkForm()">
		<fieldset class="options">
		<table class="form-table">
			<tr style="vertical-align: top;"><th scope="row" style="background:#<?php if ($addfoot_settings[enable_plugin]) echo 'cfc'; else echo 'fcc'; ?>"><label for="enable_plugin"><?php _e('Enable EasyChat.me LiveChat: ',ADDFOOT_LOCAL_NAME); ?></label></th>
			<td style="background:#<?php if ($addfoot_settings[enable_plugin]) echo 'cfc'; else echo 'fcc'; ?>"><input type="checkbox" name="enable_plugin" id="enable_plugin" <?php if ($addfoot_settings[enable_plugin]) echo 'checked="checked"' ?> /></td>
			</tr>
		</table>
		<br />
		<table class="form-table">
			<tr style="vertical-align: top; "><th scope="row" colspan="2"><?php _e('Paste here EasyChat.me HTML code generated on your easychat.me admin site:',ATA_LOCAL_NAME); ?></th>
			</tr>
			<tr style="vertical-align: top; "><td scope="row" colspan="2"><textarea name="addfoot_other" id="addfoot_other" rows="15" cols="80"><?php echo stripslashes($addfoot_settings[addfoot_other]); ?></textarea></td>
			</tr>
		</table>
		</fieldset>
		<p>
		  <input type="submit" name="addfoot_save" id="addfoot_save" value="Add easychat.me" style="border:#00CC00 1px solid" />
		</p>
	  </form>
	</div>

	  </div>
	  <div style="clear: both;"></div>
	</div>
</div>
<?php

}

function addfoot_admin_notice() {
	$plugin_settings_page = '<a href="' . admin_url( 'options-general.php?page=addfoot_options' ) . '">' . __('plugin settings page', ADDFOOT_LOCAL_NAME ) . '</a>';

	$addfoot_settings = addfoot_read_options();
	if ($addfoot_settings[enable_plugin]) return;
	if ( !current_user_can( 'manage_options' ) ) return;

    echo '<div class="error">
       <p>'.__('EasyChat.me plugin is disabled. Please visit the ', ADDFOOT_LOCAL_NAME ).$plugin_settings_page.__(' to enable.', ADDFOOT_LOCAL_NAME ).'</p>
    </div>';
}
add_action('admin_notices', 'addfoot_admin_notice');

function addfoot_adminmenu() {
	if (function_exists('current_user_can')) {
		// In WordPress 2.x
		if (current_user_can('manage_options')) {
			$addfoot_is_admin = true;
		}
	} else {
		// In WordPress 1.x
		global $user_ID;
		if (user_can_edit_user($user_ID, 0)) {
			$addfoot_is_admin = true;
		}
	}

	if ((function_exists('add_options_page'))&&($addfoot_is_admin)) {
		$plugin_page = add_options_page(__("EasyChat.me", ADDFOOT_LOCAL_NAME), __("EasyChat.me", ADDFOOT_LOCAL_NAME), 9, 'addfoot_options', 'addfoot_options');
		add_action( 'admin_head-'. $plugin_page, 'addfoot_adminhead' );
	}
}
add_action('admin_menu', 'addfoot_adminmenu');

function addfoot_adminhead() {
	global $addfoot_url;

?>
<link rel="stylesheet" type="text/css" href="<?php echo $addfoot_url ?>/admin-styles.css" />
<script type="text/javascript" language="JavaScript">
function checkForm() {
answer = true;
if (siw && siw.selectingSomething)
	answer = false;
return answer;
}//
</script>

<?php }

?>