<?php
/*
Plugin Name: EasyChat.me Live Chat
Version:     1.0.1
Plugin URI:  http://easychat.me
Description: Allows you to add EasyChat.me widget to the WordPress site
Author:      EasyChat.me
Author URI:  http://easychat.me/
*/

if (!defined('ABSPATH')) die("Aren't you supposed to come here via WP-Admin?");

define('ALD_ADDFOOT_DIR', dirname(__FILE__));
define('ADDFOOT_LOCAL_NAME', 'addfoot');

if ( ! defined( 'WP_CONTENT_URL' ) )
      define( 'WP_CONTENT_URL', get_option( 'siteurl' ) . '/wp-content' );
if ( ! defined( 'WP_CONTENT_DIR' ) )
      define( 'WP_CONTENT_DIR', ABSPATH . 'wp-content' );
if ( ! defined( 'WP_PLUGIN_URL' ) )
      define( 'WP_PLUGIN_URL', WP_CONTENT_URL. '/plugins' );
if ( ! defined( 'WP_PLUGIN_DIR' ) )
      define( 'WP_PLUGIN_DIR', WP_CONTENT_DIR . '/plugins' );

$addfoot_path = WP_PLUGIN_DIR.'/'.plugin_basename(dirname(__FILE__));
$addfoot_url = WP_PLUGIN_URL.'/'.plugin_basename(dirname(__FILE__));

function ald_addfoot_init() {
	$addfoot_localizationName = ADDFOOT_LOCAL_NAME;
	$addfoot_comments_locale = get_locale();
	$addfoot_comments_mofile = ALD_ADDFOOT_DIR . "/languages/" . $addfoot_localizationName . "-". $addfoot_comments_locale.".mo";
	load_textdomain($addfoot_localizationName, $addfoot_comments_mofile);
}
add_action('init', 'ald_addfoot_init');

add_action('wp_footer','ald_addfoot');
function ald_addfoot() {

	$addfoot_settings = addfoot_read_options();

	$addfoot_other = stripslashes($addfoot_settings[addfoot_other]);
	$ga_uacct = stripslashes($addfoot_settings[ga_uacct]);


	if ($addfoot_other != '') {
		echo $addfoot_other;
	}

}

function addfoot_default_options() {

	$ga_url = ".".parse_url(get_option('home'),PHP_URL_HOST);

	$addfoot_settings = 	Array (
						'enable_plugin' => false,	
						'addfoot_other' => '',	
						);
	return $addfoot_settings;
}

function addfoot_read_options() 
{
	$addfoot_settings_changed = false;
	
	//ald_addfoot_activate();
	
	$defaults = addfoot_default_options();
	
	$addfoot_settings = array_map('stripslashes',(array)get_option('ald_addfoot_settings'));
	unset($addfoot_settings[0]);
	
	foreach ($defaults as $k=>$v) {
		if (!isset($addfoot_settings[$k]))
			$addfoot_settings[$k] = $v;
		$addfoot_settings_changed = true;	
	}
	if ($addfoot_settings_changed == true)
		update_option('ald_addfoot_settings', $addfoot_settings);
	
	return $addfoot_settings;

}


if (is_admin() || strstr($_SERVER['PHP_SELF'], 'wp-admin/')) {
	require_once(ALD_ADDFOOT_DIR . "/admin.inc.php");

	function addfoot_plugin_actions( $links, $file ) {
		static $plugin;
		if (!$plugin) $plugin = plugin_basename(__FILE__);
	 
		if ($file == $plugin) {
			$links[] = '<a href="' . admin_url( 'options-general.php?page=addfoot_options' ) . '">' . __('Settings', ADDFOOT_LOCAL_NAME ) . '</a>';

		}
		return $links;
	}
	global $wp_version;
	if ( version_compare( $wp_version, '2.8alpha', '>' ) )
		add_filter( 'plugin_row_meta', 'addfoot_plugin_actions', 10, 2 ); 
	else add_filter( 'plugin_action_links', 'addfoot_plugin_actions', 10, 2 );

}


?>